using System;
using System.Globalization;
using System.Windows.Data;
using System.Windows.Media;
using Aitex.Core.RT.Event;
using Brushes = System.Drawing.Brushes;

namespace MECF.Framework.UI.Client.CenterViews.Alarms.Alarm
{
    public class EventLevelToBackgroundConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value is EventLevel level)
            {
                switch (level)
                {
                    case EventLevel.Alarm:
                        return new SolidColorBrush(Colors.Red);
                    case EventLevel.Warning:
                        return new SolidColorBrush(Colors.Yellow);
                    case EventLevel.Information:
                        return new SolidColorBrush(Colors.Transparent);
                    default:
                        return new SolidColorBrush(Colors.Transparent);
                }
            }

            return new SolidColorBrush(Colors.Transparent);
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
